DS_DEALLOC_ARRAY_DESC(3)

FUNCTION
ds_dealloc_array_desc - Recursively deallocate an array.

SYNOPSIS
#include <karma_ds.h>

void ds_dealloc_array_desc

(array_desc *arr_desc)

DESCRIPTION
This routine will deallocate all descriptor information associated with a tiled array. This includes all descriptors for sub-arrays and linked lists. The routine is quite robust, deallocating in the correct order and cleanly bypassing missing sections in the hierarchy.

arr_desc
    The array descriptor.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/